Qt 5.11 | Qt 3D | C++ Classes | FbxGeometryLoader

Qt 5.11.3 Reference Documentation

# FbxGeometryLoader Class

(Qt3DRender::FbxGeometryLoader)

- List of all members, including inherited members

## Public Functions

| FbxGeometryLoader()
| ~FbxGeometryLoader()
Qt3DRender::QGeometry * | geometry() const
bool | load(QIODevice *ioDev, const QString &subMesh = QString())

## Protected Functions

void | processMesh(int *mesh)
void | processNode(int *node)
void | recurseNodes()

## Member Function Documentation

### FbxGeometryLoader::FbxGeometryLoader()

Default constructs an instance of FbxGeometryLoader.

### FbxGeometryLoader::~FbxGeometryLoader()

Destroys the instance of FbxGeometryLoader.

### Qt3DRender::QGeometry *FbxGeometryLoader::geometry() const

Gives the list of attributes that can be used to render a 3D form. Returns a pointer to the geometry object.

### bool FbxGeometryLoader::load(QIODevice *ioDev, const QString &subMesh = QString())

Loads the specified subMesh using a device ioDev. Returns `true` on success, `false` otherwise.

### `[protected]` void FbxGeometryLoader::processMesh(int *mesh)

Process all vertices of the specified mesh.

### `[protected]` void FbxGeometryLoader::processNode(int *node)

If the parameter node has the attribute eMesh, process the Mesh. If not, process the children of that node.

### `[protected]` void FbxGeometryLoader::recurseNodes()

Traverse the node hierarchy and process the children of each node.